Feature/ Dimension Capture

HI All

How we can capture Feature or Dimension by Dimension Name using VB.net

 

Posted by: Yogesh Shinde
Post date: 2/20/2012 5:30:52 AM

2 REPLIES

Re: Feature/ Dimension Capture

You could maybe do something like the bellow? I don’t know the VB equivalent however it’s both .Net and using the SolidEdgeFramework so hopefully not too different.

Someone with more knowledge may be able to point you to something more elegant.

 

SolidEdgeDraft.DraftDocument draft = SolidEdgeApp.Documents.Open("C:\TestArea\mydraft.dft");

SolidEdgeDraft.Sheet sheet = draft.ActiveSheet;

SolidEdgeFrameworkSupport.Dimensions dimensions =dimensions = sheet.Dimensions;

SolidEdgeFrameworkSupport.Dimension dimension = null;

for (int i = 0; i < dimensions.Count; i++)
{
  dimension = dimensions.Item(i+1);
  if(dimension.Name =="MyName")
  {
    //do whatever
  }
}

 

Posted by: A
Post date: 7/8/2012 6:31:20 AM

Re: Feature/ Dimension Capture

In what environment? Are you talking about the variables table?

 

Posted by: Terry Tyson
Post date: 7/9/2012 7:13:46 AM